## net.i2p.router.transport.tcp
Class TCPListener

    java.lang.Object
      net.i2p.router.transport.tcp.TCPListener

     class TCPListener

extends java.lang.Object

Listen for TCP connections with a listener thread

Nested Class Summary
`(package private) class` `TCPListener.ListenerRunner`

Field Summary
`(package private) static int` `HANDLE_TIMEOUT` if we're not making progress in 10s, drop 'em

Constructor Summary
`TCPListener(RouterContext context, TCPTransport transport)`

Method Summary
`void` `startListening()` Make sure we are listening per the transport's config
`void` `stopListening()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HANDLE_TIMEOUT

    static final int HANDLE_TIMEOUT

  if we're not making progress in 10s, drop 'em

  See Also:
    Constant Field Values

Constructor Detail

### TCPListener

    public TCPListener(RouterContext context,
                       TCPTransport transport)

Method Detail

### startListening

    public void startListening()

  Make sure we are listening per the transport's config

### stopListening

    public void stopListening()